| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMAttr Class Reference

The `DOMAttr` class refers to an attribute of an XML element. More...

`#include <DOMAttr.hpp>`

Inheritance diagram for DOMAttr

[legend]
Collaboration diagram for DOMAttr:

[legend]
List of all members.

## Public Methods

Destructor
virtual | ~DOMAttr ()
| Destructor.
Functions introduced in DOM Level 1
virtual const XMLCh* | getName ()const=0
| Returns the name of this attribute. More...
virtual bool | getSpecified ()const=0
| Returns true if the attribute received its value explicitly in the XML document, or if a value was assigned programatically with the setValue function. More...
virtual const XMLCh* | getValue ()const=0
| Returns the value of the attribute. More...
virtual void | setValue (const XMLCh *value)=0
| Sets the value of the attribute. More...
Functions introduced in DOM Level 2.
virtual DOMElement* | getOwnerElement ()const=0
| The `DOMElement` node this attribute is attached to or `null` if this attribute is not in use. More...

## Protected Methods

Hidden constructors
| DOMAttr ()
| DOMAttr (const DOMAttr &)
DOMAttr& | operator= (const DOMAttr &)

## Detailed Description

The `DOMAttr` class refers to an attribute of an XML element.

Typically the allowable values for the attribute are defined in a documenttype definition.

`DOMAttr` objects inherit the `DOMNode` interface, but since attributes are not actually child nodes of the elements they are associated with, the DOM does not consider them part of the document tree. Thus, the `DOMNode` attributes `parentNode`, `previousSibling`, and `nextSibling` have a null value for `DOMAttr` objects. The DOM takes the view that attributes are properties of elements rather than having a separate identity from the elements they are associated with; this should make it more efficient to implement such features as default attributes associated with all elements of a given type. Furthermore, attribute nodes may not be immediate children of a `DOMDocumentFragment`. However, they can be associated with `DOMElement` nodes contained within a `DOMDocumentFragment`. In short, users of the DOM need to be aware that `DOMAttr` nodes have some things in common with other objects inheriting the `DOMNode` interface, but they also are quite distinct.

Since:
  DOM Level 1

## Constructor & Destructor Documentation

DOMAttr::DOMAttr ( | )`[protected]`

DOMAttr::DOMAttr ( | const DOMAttr & )`[protected]`

DOMAttr::~DOMAttr ( | )`[virtual]`

| Destructor.

## Member Function Documentation

const XMLCh * DOMAttr::getName ( | ) const`[pure virtual]`

Returns the name of this attribute.

Since:
  DOM Level 1

DOMElement * DOMAttr::getOwnerElement ( | ) const`[pure virtual]`

The `DOMElement` node this attribute is attached to or `null` if this attribute is not in use.

Since:
  DOM Level 2

bool DOMAttr::getSpecified ( | ) const`[pure virtual]`

Returns true if the attribute received its value explicitly in the XML document, or if a value was assigned programatically with the setValue function.

Returns false if the attribute value came from the default value declared in the document's DTD.

Since:
  DOM Level 1

const XMLCh * DOMAttr::getValue ( | ) const`[pure virtual]`

Returns the value of the attribute.

The value of the attribute is returned as a string. Character and general entity references are replaced with their values.

Since:
  DOM Level 1

DOMAttr & DOMAttr::operator= ( | const DOMAttr & )`[protected]`

void DOMAttr::setValue ( | const XMLCh * value )`[pure virtual]`

Sets the value of the attribute.

A text node with the unparsed contents of the string will be created.

Parameters:

  value | The value of the DOM attribute to be set

Since:
  DOM Level 1

The documentation for this class was generated from the following file:

- DOMAttr.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.